package com.muyu.cloud.many.datasource;

import com.baomidou.dynamic.datasource.spring.boot.autoconfigure.DynamicDataSourceAutoConfiguration;
import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import com.muyu.common.swagger.annotation.EnableCustomSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;

/**
 * @Author: DongZeLiang
 * @date: 2024/6/3
 * @Description: 多数据源启动类
 * @Version: 1.0
 */
@EnableCustomConfig
@EnableCustomSwagger2
@EnableMyFeignClients
@SpringBootApplication(exclude =
        {DynamicDataSourceAutoConfiguration.class, DataSourceAutoConfiguration.class}
)
public class CloudManyDataSourceApplication {
    public static void main (String[] args) {
        SpringApplication.run(CloudManyDataSourceApplication.class, args);
    }
}
